package interfaces

import "context"

// Interface for sending requests to platform
type Caller interface {
	// DecortApiCall method for sending requests to the platform
	DecortApiCall(ctx context.Context, method, url string, params interface{}) ([]byte, error)

	// DecortApiCallCtype method for sending requests to the platform
	DecortApiCallCtype(ctx context.Context, method, url, ctype string, params interface{}) ([]byte, error)

	// DecortApiCallMP method for sending requests to the platform
	DecortApiCallMP(ctx context.Context, method, url string, params interface{}) ([]byte, error)
}
